summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2017-02-06 17:46:44 +0100
committerBernard Cafarelli <voyageur@gentoo.org>2017-02-06 17:46:44 +0100
commitf19418556bd370e77e22ca0e56ddd98529946dee (patch)
treeafe57e26cb34097933a4b91ea5464c32da189971 /www-apps/owncloud
parentx11-wm/cwm: Remove old versions. (diff)
downloadgentoo-f19418556bd370e77e22ca0e56ddd98529946dee.tar.gz
gentoo-f19418556bd370e77e22ca0e56ddd98529946dee.tar.bz2
gentoo-f19418556bd370e77e22ca0e56ddd98529946dee.zip
www-apps/owncloud: version bumps, bug #608392
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'www-apps/owncloud')
-rw-r--r--www-apps/owncloud/Manifest4
-rw-r--r--www-apps/owncloud/owncloud-8.1.12.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-8.2.10.ebuild52
-rw-r--r--www-apps/owncloud/owncloud-9.0.8.ebuild48
-rw-r--r--www-apps/owncloud/owncloud-9.1.4.ebuild48
5 files changed, 204 insertions, 0 deletions
diff --git a/www-apps/owncloud/Manifest b/www-apps/owncloud/Manifest
index ba50ca1ce90..dc5e736ff21 100644
--- a/www-apps/owncloud/Manifest
+++ b/www-apps/owncloud/Manifest
@@ -1,4 +1,8 @@
DIST owncloud-8.1.11.tar.bz2 24608014 SHA256 a0aa349175459ab9539b3c9c0a638399fde3cd7d6f4e8150079a4d36e4773f12 SHA512 3b73f743c2fa555876ca4c3df73f038182add5db732021ca83c52f0e28b5c7ef3641061d8adafd070118ecd20b594e99753bc0f1a32a49ae30412fac6e8478b3 WHIRLPOOL 1a4b086128a4e48b0a0798a007b63bd6e04e9d391db3ec94e3a8f27a40116932349de05ac1da958175a3172d084ce5859e46eddfb489fc93bc85b41cc6954e27
+DIST owncloud-8.1.12.tar.bz2 24595002 SHA256 e6a544dedbd118edc10ac3e2d858c7646c5b365c5ada23f028d37b06770b329e SHA512 f600f29aa06f9d6b70e9c3779f362e1c5a00ddb605ee16dbf622ae35e1d3612308e1e7af2b8c067ad09ac53f63acf5032debf87a8b2c603d58243ad20fb92487 WHIRLPOOL bfc3850d0fac5809166661c76c59b2bf8486b0b1cf95bf38f73552d1090f536fb3f1bb9abdac4034c4c645aff93199e87cb0324589c323f4141168c98359da50
+DIST owncloud-8.2.10.tar.bz2 27971191 SHA256 cfbc1be93aefcfe4ad271638fd84611c9552bc89420224a18cd41ef1043495e9 SHA512 803f1a0c98e86421438103d7c160bfd46be5e34d9810255e26dd9015cca02a5bdccfe9352c89008e6f9439b5e420a5b361d0ff15591b506c1b0f00880c59d802 WHIRLPOOL b4d0cf6ed5df0721cd98703c9d7fc33ace265a7f111fb6fe064ffe20c6fc8dd9175d2b12748ff1f2b6c6afbd436a626c2c1d1d4de22037c4a5ee4e209eb6cde8
DIST owncloud-8.2.9.tar.bz2 28036834 SHA256 fc2673c038868580fc92954f1f4a5acd15946d371948544f81e8c9975abfff25 SHA512 a8ab358947e930d96719b45845ed262004c8611fcde8ae34e08ececfe057a017bd7348cba7ded0433220fbab088484baaf357e441021044fa8283d4612c1af2e WHIRLPOOL c6aac23fa00208cb63596f8ef4b148ee2eceaf1513ec07965082f5bdc15b78aeb449691c608c3c37c10e0cb93539a59539a3acdc40a018d2e5e66e09ff624ab7
DIST owncloud-9.0.7.tar.bz2 28376371 SHA256 d028bc76e208fd891ecad8f7beb6cd303167451a16fda154051b30d848cbddc8 SHA512 11d8c5cdc3ac27ab3c9dd0a5c452880a1433bc1f48b82939c1132a6cf726e3d53292630f7d37bda228bf5ccf7051e2a578bb5d82704896023a975939856dc2a4 WHIRLPOOL 7db733b6ed4750b8bd90a88df9ebe79a3573807e2a95ca045e670cea32d408603522b90c303b795a6c78d3918a6f9f72e0f5a04c760d316b16357742a523d6b1
+DIST owncloud-9.0.8.tar.bz2 28511394 SHA256 91b75fbab72ee3279310138045e3df4de4f2b65902ca6a19db3a054c4039adc8 SHA512 c73da8a74ff1589346386278c238e5b73f75bbac7ff5867afcf27af0677fad61f5e52c5c502d3af5f42d7db4f58353329be1a88cb62725c06ea9404333638f7d WHIRLPOOL a7055f6a3d2198a2601ad4cd1b868b0beb6c08b7e4d3bb9212b508fbd048336ce5c5c5eeb89599473c41e99cece7a83a2c8bd7c44aaa0b4e75652f0e63360aa1
DIST owncloud-9.1.3.tar.bz2 28977283 SHA256 e0a1eb35fffb61dab5ca41f6d3fdb4ddcc3ec09683cd620b8094846785d4f6e9 SHA512 e661d3a69d1bce51aa6336fddd2ba205970d0d14e306a6ea0befa9fad6bb3563ff26118cd0471d4728cd9387fe67b58ba55058109bbf84f6c5c71fd87be38cea WHIRLPOOL 5a26edbb0768d8045fbf93c870463cae270d024dec85cdb5a34e165ad36e18fb150f4bae2c176862afc8a1704f2e39810c123ff009e598ceec6ed3748ee7d98f
+DIST owncloud-9.1.4.tar.bz2 13882525 SHA256 1bf62c5e665a98f8c82fbeb2fcc5d2aa2bd3157b0cad2a93000a8d72114ca547 SHA512 9a6b6f38f4d9cfed8df7438659940dd4d3cfe6dd83cc6cf5e5022fefa5600fd622722488dcfe699a4c9e8def4c6f25487aca83a8849cdbe6c961eb249f27fc7f WHIRLPOOL be7224a5c18e9993ef5758c8a91dbdcab776d55035479946c30115e4604b0a26ad1950195b6241607b1c231022c825c1f05bf1d6167c1c2f75bcfe1bf85894e2
diff --git a/www-apps/owncloud/owncloud-8.1.12.ebuild b/www-apps/owncloud/owncloud-8.1.12.ebuild
new file mode 100644
index 00000000000..1c590dd17e9
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.1.12.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="dev-lang/php:5.6[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ virtual/httpd-php:5.6"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-8.2.10.ebuild b/www-apps/owncloud/owncloud-8.2.10.ebuild
new file mode 100644
index 00000000000..0c4d54cb920
--- /dev/null
+++ b/www-apps/owncloud/owncloud-8.2.10.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="<dev-lang/php-7.1[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlwriter,zip]
+ <virtual/httpd-php-7.1"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-9.0.8.ebuild b/www-apps/owncloud/owncloud-9.0.8.ebuild
new file mode 100644
index 00000000000..f312e6648f7
--- /dev/null
+++ b/www-apps/owncloud/owncloud-9.0.8.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="<dev-lang/php-7.1[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+ <virtual/httpd-php-7.1"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/owncloud/owncloud-9.1.4.ebuild b/www-apps/owncloud/owncloud-9.1.4.ebuild
new file mode 100644
index 00000000000..f312e6648f7
--- /dev/null
+++ b/www-apps/owncloud/owncloud-9.1.4.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils webapp
+
+DESCRIPTION="Web-based storage application where all your data is under your own control"
+HOMEPAGE="http://owncloud.org"
+SRC_URI="http://download.owncloud.org/community/${P}.tar.bz2 -> ${PF}.tar.bz2"
+LICENSE="AGPL-3"
+
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+curl mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+DEPEND=""
+RDEPEND="<dev-lang/php-7.1[curl?,filter,gd,hash,json,mysql?,pdo,posix,postgres?,session,simplexml,sqlite?,xmlreader,xmlwriter,zip]
+ <virtual/httpd-php-7.1"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+ dodir "${MY_HTDOCSDIR}"/data
+
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/apps
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/data
+ webapp_serverowned -R "${MY_HTDOCSDIR}"/config
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "Additional applications (calendar, ...) are no longer provided by default."
+ elog "You can install them after login via the applications management page"
+ elog "(check the recommended tab). No application data is lost."
+ webapp_pkg_postinst
+}